Class UpdatePlaylistsItemsReorderDeprecatedRequest
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest<SnapshotResult>
se.michaelthelin.spotify.requests.data.AbstractDataRequest<SnapshotResult>
se.michaelthelin.spotify.requests.data.playlists.UpdatePlaylistsItemsReorderDeprecatedRequest
- All Implemented Interfaces:
IRequest<SnapshotResult>
@Deprecated
public class UpdatePlaylistsItemsReorderDeprecatedRequest
extends AbstractDataRequest<SnapshotResult>
Deprecated.
Reorder an item or a group of items in a playlist.
When reordering items, the timestamp indicating when they were added and the user who added them will be kept untouched. In addition, the users following the playlists won’t be notified about changes in the playlists when the items are reordered.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic final classDeprecated.UseUpdatePlaylistsItemsReorderRequestinstead. -
Method Summary
Methods inherited from class AbstractRequest
bodyParametersToJson, deleteJson, executeAsync, getBody, getBodyParameters, getContentType, getHeaders, getHttpManager, getJson, getUri, initializeBody, postJson, putJsonModifier and TypeMethodDescriptionbodyParametersToJson(List<org.apache.hc.core5.http.NameValuePair> bodyParameters) Convert body parameters to JSON string.Execute DELETE request and get JSON response.Get something asynchronously.org.apache.hc.core5.http.HttpEntitygetBody()Get the request body.List<org.apache.hc.core5.http.NameValuePair> Get the body parameters for this request.org.apache.hc.core5.http.ContentTypeGet the content type for this request.List<org.apache.hc.core5.http.Header> Get the headers for this request.Get the HTTP manager for this request.getJson()Get JSON response as string.getUri()Get the URI for this request.voidInitialize the request body based on content type.postJson()Execute POST request and get JSON response.putJson()Execute PUT request and get JSON response.
-
Method Details
-
execute
public SnapshotResult execute() throws IOException, SpotifyWebApiException, org.apache.hc.core5.http.ParseExceptionDeprecated.Reorder the items in a playlist.- Returns:
- A playlist snapshot ID. The snapshot ID can be used to identify your playlist version in future requests.
- Throws:
IOException- In case of networking issues.SpotifyWebApiException- The Web API returned an error further specified in this exception's root cause.org.apache.hc.core5.http.ParseException- If a parsing error occurs.- See Also:
-
UpdatePlaylistsItemsReorderRequestinstead.